An event which takes place in the DOM.

### Hierarchy

- Event

## Index

### Properties

- AT_TARGET
- BUBBLING_PHASE
- CAPTURING_PHASE
- NONE
- bubbles
- cancelBubble
- cancelable
- composed
- currentTarget
- defaultPrevented
- eventPhase
- isTrusted
- returnValue
- srcElement
- target
- timeStamp
- type

### Methods

- composedPath
- initEvent
- preventDefault
- stopImmediatePropagation
- stopPropagation

## Properties

### Readonly AT_TARGET

AT_TARGET: number

### Readonly BUBBLING_PHASE

BUBBLING_PHASE: number

### Readonly CAPTURING_PHASE

CAPTURING_PHASE: number

### Readonly NONE

NONE: number

### Readonly bubbles

bubbles: boolean

Returns true or false depending on how event was initialized. True if event goes through its target's ancestors in reverse tree order, and false otherwise.

### cancelBubble

cancelBubble: boolean

### Readonly cancelable

cancelable: boolean

Returns true or false depending on how event was initialized. Its return value does not always carry meaning, but true can indicate that part of the operation during which event was dispatched, can be canceled by invoking the preventDefault() method.

### Readonly composed

composed: boolean

Returns true or false depending on how event was initialized. True if event invokes listeners past a ShadowRoot node that is the root of its target, and false otherwise.

### Readonly currentTarget

currentTarget: <internal>.EventTarget

Returns the object whose event listener's callback is currently being invoked.

### Readonly defaultPrevented

defaultPrevented: boolean

Returns true if preventDefault() was invoked successfully to indicate cancelation, and false otherwise.

### Readonly eventPhase

eventPhase: number

Returns the event's phase, which is one of NONE, CAPTURING_PHASE, AT_TARGET, and BUBBLING_PHASE.

### Readonly isTrusted

isTrusted: boolean

Returns true if event was dispatched by the user agent, and false otherwise.

### returnValue

returnValue: boolean

deprecated

### Readonly srcElement

srcElement: <internal>.EventTarget

deprecated

### Readonly target

target: <internal>.EventTarget

Returns the object to which event is dispatched (its target).

### Readonly timeStamp

timeStamp: number

Returns the event's timestamp as the number of milliseconds measured relative to the time origin.

### Readonly type

type: string

Returns the type of event, e.g. "click", "hashchange", or "submit".

## Methods

### composedPath

- composedPath(): <internal>.EventTarget[]

- Returns the invocation target objects of event's path (objects on which listeners will be invoked), except for any nodes in shadow trees of which the shadow root's mode is "closed" that are not reachable from event's currentTarget.

  #### Returns <internal>.EventTarget[]

### initEvent

- initEvent(type: string, bubbles?: boolean, cancelable?: boolean): void

- deprecated

  #### Parameters

  - ##### type: string

  - ##### Optional bubbles: boolean

  - ##### Optional cancelable: boolean

  #### Returns void

### preventDefault

- preventDefault(): void

- If invoked when the cancelable attribute value is true, and while executing a listener for the event with passive set to false, signals to the operation that caused event to be dispatched that it needs to be canceled.

  #### Returns void

### stopImmediatePropagation

- stopImmediatePropagation(): void

- Invoking this method prevents event from reaching any registered event listeners after the current one finishes running and, when dispatched in a tree, also prevents event from reaching any other objects.

  #### Returns void

### stopPropagation

- stopPropagation(): void

- When dispatched in a tree, invoking this method prevents event from reaching any objects other than the current object.

  #### Returns void

Generated using TypeDoc